Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message
Class DefaultMuleMessageDTO

    java.lang.Object
      org.mule.message.BaseMessageDTO
          org.mule.message.DefaultMuleMessageDTO

All Implemented Interfaces:
  Serializable

    public class DefaultMuleMessageDTO

extends BaseMessageDTO

A data transfer object representation of a `MuleMessage`. THis object is used when ecoding Mule messages over the wire using XML, JSON or other serialization.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.message.BaseMessageDTO
`payload, properties`

Constructor Summary
`DefaultMuleMessageDTO()`
`DefaultMuleMessageDTO(MuleMessage message)`
`DefaultMuleMessageDTO(Object message)`

Method Summary
`void` | `addPropertiesTo(MessageAdapter message)`
`protected void` | `encodePropertiesForScope(PropertyScope scope, MuleMessage message)`
`String` | `getReplyTo()`
`void` | `setReplyTo(String replyTo)`
`MessageAdapter` | `toMessageAdapter()`

Methods inherited from class org.mule.message.BaseMessageDTO
`addProperties, clearProperties, getPayload, getProperties, getProperty, setPayload, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMuleMessageDTO

    public DefaultMuleMessageDTO()

### DefaultMuleMessageDTO

    public DefaultMuleMessageDTO(Object message)

### DefaultMuleMessageDTO

    public DefaultMuleMessageDTO(MuleMessage message)

Method Detail

### encodePropertiesForScope

    protected void encodePropertiesForScope(PropertyScope scope,
                                            MuleMessage message)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### addPropertiesTo

    public void addPropertiesTo(MessageAdapter message)

### toMessageAdapter

    public MessageAdapter toMessageAdapter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.